# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/spi/qca,ar934x-spi.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Qualcomm Atheros AR934x/QCA95xx SoC SPI controller

maintainers:
  - Chuanhong Guo <gch981213@gmail.com>

allOf:
  - $ref: spi-controller.yaml#

properties:
  compatible:
    const: qca,ar934x-spi

  reg:
    maxItems: 1

  clocks:
    maxItems: 1

required:
  - compatible
  - reg
  - clocks
  - '#address-cells'
  - '#size-cells'

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/clock/ath79-clk.h>
    spi: spi@1f000000 {
        compatible = "qca,ar934x-spi";
        reg = <0x1f000000 0x1c>;
        clocks = <&pll ATH79_CLK_AHB>;
        #address-cells = <1>;
        #size-cells = <0>;
    };
